"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunkUKD65B23cjs = require('./chunk-UKD65B23.cjs');




var _chunkTZXDYORAcjs = require('./chunk-TZXDYORA.cjs');




var _chunkJ42M6DF3cjs = require('./chunk-J42M6DF3.cjs');

// src/common/log/log-console.ts
function LoggerConsoleHandler(opt = {}) {
  const {
    level = void 0,
    filter = void 0
    // colors = true,
    // levelHelper = false,
    // nameBrackets = true,
    // padding = 16,
  } = opt;
  const matchesNamespace = _chunkTZXDYORAcjs.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _chunkTZXDYORAcjs.useLevelFilter.call(void 0, level);
  const originalConsole = _chunkUKD65B23cjs.getGlobalConsole.call(void 0, );
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    const name = msg.name ? `[${msg.name}]` : "";
    switch (msg.level) {
      case _chunkJ42M6DF3cjs.LogLevelInfo:
        originalConsole.info(..._chunkTZXDYORAcjs.joinLogStrings.call(void 0, `I|*   ${name}`, ...msg.messages));
        break;
      case _chunkJ42M6DF3cjs.LogLevelWarn:
        originalConsole.warn(..._chunkTZXDYORAcjs.joinLogStrings.call(void 0, `W|**  ${name}`, ...msg.messages));
        break;
      case _chunkJ42M6DF3cjs.LogLevelError:
        originalConsole.error(..._chunkTZXDYORAcjs.joinLogStrings.call(void 0, `E|*** ${name}`, ...msg.messages));
        break;
      default:
        originalConsole.debug(..._chunkTZXDYORAcjs.joinLogStrings.call(void 0, `D|    ${name}`, ...msg.messages));
        break;
    }
  };
}



exports.LoggerConsoleHandler = LoggerConsoleHandler;
//# sourceMappingURL=chunk-6AARQEB3.cjs.map