"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkSSHZQKW7cjs = require('./chunk-SSHZQKW7.cjs');


var _chunk33B2TEAZcjs = require('./chunk-33B2TEAZ.cjs');



var _chunkTZXDYORAcjs = require('./chunk-TZXDYORA.cjs');

// src/common/log/log-memory.ts
function logMessageFromCompact(m) {
  const [timestamp, level, name, ...messages] = m;
  return { timestamp, level, name, messages };
}
function LoggerMemoryHandler(opt) {
  const { level = void 0, filter = void 0, compact = false, messages = [], errorTrace = false, maxDepth = 20 } = opt;
  const matchesNamespace = _chunkTZXDYORAcjs.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _chunkTZXDYORAcjs.useLevelFilter.call(void 0, level);
  let counter = _nullishCoalesce(opt.limit, () => ( Number.POSITIVE_INFINITY));
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    _nullishCoalesce(msg.timestamp, () => ( (msg.timestamp = _chunk33B2TEAZcjs.getTimestamp.call(void 0, ))));
    const m = _chunkSSHZQKW7cjs.objectPlain.call(void 0, msg, {
      maxDepth,
      errorTrace,
      keepAsIs: (v) => v instanceof Error || typeof ErrorEvent !== "undefined" && v instanceof ErrorEvent
    });
    if (compact === true)
      messages.push([m.timestamp, m.level, m.name, ...m.messages]);
    else
      messages.push(m);
    if (counter <= 0)
      messages.shift();
    else
      --counter;
  };
}




exports.logMessageFromCompact = logMessageFromCompact; exports.LoggerMemoryHandler = LoggerMemoryHandler;
//# sourceMappingURL=chunk-DXZAHKLV.cjs.map