"use strict";

var _chunkDR4WHI2Scjs = require('../../chunk-DR4WHI2S.cjs');


var _chunkZPRW6AGNcjs = require('../../chunk-ZPRW6AGN.cjs');
require('../../chunk-UJ54DCK2.cjs');
require('../../chunk-34HB56WE.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-HC4FRUCO.cjs');
require('../../chunk-FGKARD4L.cjs');
require('../../chunk-LENLRWSH.cjs');
require('../../chunk-64ZMDALJ.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-2AGPRCO5.cjs');
require('../../chunk-6R46PMWT.cjs');
require('../../chunk-6AARQEB3.cjs');
require('../../chunk-GVOOAPLA.cjs');
require('../../chunk-EZB4PXZZ.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TZXDYORA.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/msg/channel-resilient.spec.ts
describe("channel-resilient.spec", () => {
  it("should buffer", async () => {
    const rc = new (0, _chunkZPRW6AGNcjs.ResillientChannel)();
    rc.postMessage("1");
    const d1 = new (0, _chunkDR4WHI2Scjs.DebugChannel)();
    rc.setChannel(d1);
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
      ]
    `);
    rc.postMessage("2");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    rc.deleteChannel();
    rc.postMessage("3");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    const d2 = new (0, _chunkDR4WHI2Scjs.DebugChannel)();
    rc.setChannel(d2);
    expect(d2.messages).toMatchInlineSnapshot(`
      Array [
        "3",
      ]
    `);
  });
});
//# sourceMappingURL=channel-resilient.spec.cjs.map