"use strict";


var _chunkKNRVLFQOcjs = require('../../chunk-KNRVLFQO.cjs');
require('../../chunk-2Q4Q3VX6.cjs');




var _chunkHN6JW3BLcjs = require('../../chunk-HN6JW3BL.cjs');
require('../../chunk-O2PHSJ23.cjs');
require('../../chunk-QK5A4MK5.cjs');
require('../../chunk-SSHZQKW7.cjs');
require('../../chunk-MN7G6N6G.cjs');
require('../../chunk-2AGPRCO5.cjs');
require('../../chunk-6R46PMWT.cjs');
require('../../chunk-6AARQEB3.cjs');
require('../../chunk-EZB4PXZZ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TZXDYORA.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/schema/args.spec.ts
describe("args.spec", () => {
  it("parse args", async () => {
    const schema = _chunkHN6JW3BLcjs.object.call(void 0, {
      someStuff: _chunkHN6JW3BLcjs.number.call(void 0, ).optional().props({
        argDesc: "Does some stuff"
      }),
      help: _chunkHN6JW3BLcjs.boolean.call(void 0, ).default(false).props({
        argShort: "h",
        argDesc: "Shows help"
      })
    });
    expectTypeOf().toMatchTypeOf();
    const args = ["test.txt", "-h", "--some-stuff=8888"];
    const r = _chunkKNRVLFQOcjs.parseSchemaArgs.call(void 0, schema, args);
    expect(r).toMatchInlineSnapshot(`
      Array [
        Object {
          "help": true,
          "someStuff": 8888,
        },
        Array [
          "test.txt",
        ],
      ]
    `);
    expect(_chunkKNRVLFQOcjs.helpSchemaArgs.call(void 0, schema)).toMatchInlineSnapshot(`
      "--some-stuff=number
        Does some stuff
      --help, -h
        Shows help"
    `);
  });
});
//# sourceMappingURL=args.spec.cjs.map