"use strict";

var _chunkE6IYVT4Acjs = require('../../chunk-E6IYVT4A.cjs');
require('../../chunk-O2PHSJ23.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-DXZAHKLV.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-SSHZQKW7.cjs');


var _chunkN5KTMDVOcjs = require('../../chunk-N5KTMDVO.cjs');



var _chunk2AGPRCO5cjs = require('../../chunk-2AGPRCO5.cjs');
require('../../chunk-6R46PMWT.cjs');
require('../../chunk-6AARQEB3.cjs');
require('../../chunk-EZB4PXZZ.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TZXDYORA.cjs');


var _chunkJ42M6DF3cjs = require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/node/log/log-file.spec.ts
var _fs = require('fs');
describe("log File", () => {
  afterAll(() => {
    _fs.rmSync.call(void 0, `${__dirname}/tmp`, { recursive: true, force: true });
  });
  it("should write log", async () => {
    const path = `${__dirname}/tmp/test.log`;
    _chunk2AGPRCO5cjs.getGlobalLogger.call(void 0, ).setHandlers([
      _chunkE6IYVT4Acjs.LoggerFileHandler.call(void 0, path, {
        level: _chunkJ42M6DF3cjs.LogLevelAll,
        filter: "*"
      })
    ]);
    const log = _chunk2AGPRCO5cjs.DefaultLogger.call(void 0, "test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.error("error");
    await _chunkN5KTMDVOcjs.sleep.call(void 0, 1e3);
    expect(_fs.statSync.call(void 0, path).size).toBeGreaterThan(100);
    _fs.unlinkSync.call(void 0, path);
  });
});
//# sourceMappingURL=log-file.spec.cjs.map