"use strict";



var _chunkMN7G6N6Gcjs = require('../chunk-MN7G6N6G.cjs');
require('../chunk-2AGPRCO5.cjs');
require('../chunk-6R46PMWT.cjs');
require('../chunk-6AARQEB3.cjs');
require('../chunk-UKD65B23.cjs');
require('../chunk-TZXDYORA.cjs');
require('../chunk-J42M6DF3.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-VAG3XY63.cjs');
require('../chunk-W3WUDQIC.cjs');
require('../chunk-YY4AHBBL.cjs');
require('../chunk-IMCDDJAJ.cjs');

// src/common/assert.spec.ts
var _vitest = require('vitest');
_vitest.describe.call(void 0, "assert.ts", () => {
  _vitest.describe.call(void 0, "fatal", () => {
    _vitest.it.call(void 0, "should throw an error with the correct message", () => {
      _vitest.expect.call(void 0, () => _chunkMN7G6N6Gcjs.fatal.call(void 0, "test message")).toThrow("test message");
    });
  });
  _vitest.describe.call(void 0, "assert", () => {
    _vitest.it.call(void 0, "should throw an error when the condition is falsy", () => {
      _vitest.expect.call(void 0, () => _chunkMN7G6N6Gcjs.assert.call(void 0, false, "condition is false")).toThrow("condition is false");
      _vitest.expect.call(void 0, () => _chunkMN7G6N6Gcjs.assert.call(void 0, null, "condition is null")).toThrow("condition is null");
      _vitest.expect.call(void 0, () => _chunkMN7G6N6Gcjs.assert.call(void 0, Number.NaN, "condition is NaN")).toThrow("condition is NaN");
    });
    _vitest.it.call(void 0, "should not throw an error when the condition is truthy", () => {
      _vitest.expect.call(void 0, () => _chunkMN7G6N6Gcjs.assert.call(void 0, true, "condition is true")).not.toThrow();
      _vitest.expect.call(void 0, () => _chunkMN7G6N6Gcjs.assert.call(void 0, 1, "condition is 1")).not.toThrow();
      _vitest.expect.call(void 0, () => _chunkMN7G6N6Gcjs.assert.call(void 0, "non-empty string", "condition is non-empty string")).not.toThrow();
    });
  });
  _vitest.describe.call(void 0, "assertCondition", () => {
    _vitest.it.call(void 0, "should behave the same as assert", () => {
      _vitest.expect.call(void 0, () => _chunkMN7G6N6Gcjs.assertCondition.call(void 0, false, "condition is false")).toThrow("condition is false");
      _vitest.expect.call(void 0, () => _chunkMN7G6N6Gcjs.assertCondition.call(void 0, true, "condition is true")).not.toThrow();
    });
  });
});
//# sourceMappingURL=assert.spec.cjs.map